<%@ page contentType="text/html; charset=UTF-8"%><%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>
<fmt:setLocale value="ru_RU" scope="session"/>

<!doctype html>
<%-- иконки https://icon-icons.com/ru/pack/UI-&-Office/3106&page=1 --%>
<html lang="ru">
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">

		<link href="${contextPath}/css/bootstrap.min.css" rel="stylesheet">
		<link href="${contextPath}/css/jquery-ui.min.css" rel="stylesheet" type="text/css"/>
		<link href="${contextPath}/style.css" rel="stylesheet" type="text/css"/>
		<!-- специальный пустой css файл для пользовательский стилей, не перетирается при обновлениях -->
		<link href="${contextPath}/custom.css" rel="stylesheet" type="text/css"/>

		<script src="${contextPath}/js/jquery-min.js"></script>
		<script src="${contextPath}/js/jquery.form.js"></script>
		<script src="${contextPath}/js/jquery-ui.min.js"></script>
		<script src="${contextPath}/js/common.js"></script>
		<script src="${contextPath}/js/bgbilling.js"></script>
		<script src="${contextPath}/js/jquery.bg.widgets.js"></script>
		<!-- специальный пустой js файл для пользовательский функций, не перетирается при обновлениях -->
		<script src="${contextPath}/js/custom.js"></script>
		<title>BGBilling || 
		<c:set var="pageTitleFromMenu"><c:forEach var="menuItem" items="${menuItemList}"><c:if test="${module eq menuItem.module && mid == menuItem.moduleId && action eq menuItem.action}">${menuItem.title}</c:if></c:forEach></c:set>
	  	<c:choose>
	  		<c:when test="${not empty pageTitleFromMenu}">${pageTitleFromMenu}</c:when>
	  		<c:otherwise>${pageTitle}</c:otherwise>
<%-- 
	  		<c:when test="${action eq 'DistributeBalance'}">РАСПРЕДЕЛЕНИЕ СРЕДСТВ</c:when>
	  		<c:when test="${action eq 'Subscription'}">ПОДПИСКА НА РАССЫЛКИ</c:when>
	  		<c:when test="${action eq 'DispatchBalance'}">РАССЫЛКА БАЛАНСА</c:when>
--%>
	  	</c:choose>
		</title>
		
		<script type="text/javascript">
			var webexecuter = "webexecuter";
			var contractId = ${contract_current.id};

			let dashboardModule = "contract.dashboard";
			let dashboardQuery = { operation: '', action: 'Dashboard', module: dashboardModule, mid: 0, contractId: contractId };
		
			function disableButton( button ) { button.disabled = true; }
		</script>
	</head>
	<body>
		<div class="pageHeader fixed-top">
			<div class="content">
				<div class="logo"><a href="?"></a></div>
				<c:if test="${not empty contract}">
					<div class="contract"><a href="?module=contract.basic&action=Contracts"><img src="${contextPath}/img/user.png" title="договор" height="28" style="vertical-align: text-bottom; padding-right: 5px;"><span>${contract.title}</span></a></div>
				</c:if>
				<div class="bgBalanceInformerWidget balance" style="" jsp="widget/contract/headerBalanceInformer.jsp"></div>
				<div class="buttons bgMenuButtons">
					<c:if test="${not empty notificationsCount}"><div class=""><a href="?action=Notification&mid=0&module=contract.basic&contractId=${contract.id}"><img src="${contextPath}/img/alert.png" title="уведомления" height="28"></a></div></c:if>
					<div class="bgMenu"><img src="${contextPath}/img/menu.png" title="меню" height="28">
						<ul style="right: -25px; top: 28px;">
							<li><a href="?action=Parameters&mid=0&module=contract.basic&contractId=${contract.id}">Параметры договора</a></li>
							<li><a href="?action=Password&mid=0&module=contract.basic&contractId=${contract.id}">Смена пароля</a></li>
							<li><a href="?action=Notes&mid=0&module=contract.basic&contractId=${contract.id}">Примечания</a></li>
						</ul>
					</div>
					<div><a onClick="return confirm('Покинуть Личный кабинет?');" href="${contextPath}/webexecuter?action=Exit&mid=contract"><img src=" ${contextPath}/img/exit1.png" title="выход" height="28"></a></div>
				</div>
			</div>
		</div>
		<div id="all" style="margin: 6rem auto 0rem auto;">
			<!-- content -->
			<div class="content" style="height: 100%;">
	        	<script>
			      <!--
						document.cookie = 'BGBILLING=1; samesite=strict';
						var ccc = document.cookie;
						if ( ccc == undefined || ccc.length == 0 || ccc.indexOf( "BGBILLING" ) == -1 ) { document.write( '<div class="alert alert-danger" role="alert">ВНИМАНИЕ!!! Для корректной работы с данным сайтом необходимо включить поддержку Cookies в браузере. Как это сделать смотрите <a href="#"	onClick="window.open(\'help/cookies.html\', \'mywin2\', \'toolbar=no,status=no,width=600,height=455\'); return false;">здесь</a>.</div>' ); }
			      	--> 
			    </script>
			    
			    <div id="dashboardPaths">&nbsp;</div>

<%-- 			
				<div class="pageTitle" id="pageTitle">
					<c:choose>
						<c:when test="${not empty pageTitleFromMenu}">${pageTitleFromMenu}</c:when>
						<c:otherwise>${pageTitle}</c:otherwise>
					</c:choose>
				</div>
--%>
					<c:if test="${not empty errorStatus}"><div class="alert alert-danger" role="alert">${errorStatus[1]}</div></c:if>
				<c:if test="${not empty contract and module != 'contract.dashboard'}">
				</c:if>
			
				<div id="contentRoot" class="pageRoot">
				<%@include file="include/error.jsp" %>
				<c:choose>
					<c:when test="${not empty jspPage}"><jsp:include page="${jspPage}"/></c:when>
					<c:otherwise><%@ include file="contract/dashboard.jsp"%></c:otherwise>
				</c:choose>
				</div>
			</div>
			<!-- end content -->

			<jsp:include page="/WEB-INF/jspf/include/footer.jsp"/>
      	</div>
		<div id="requestLimit" class="bgmodal" style="display: none;">
			<div class="bgmodal_dialog">
				<div class="bgmodal-content titleFont2" style="padding: 75px; text-align: center;">Превышен лимит запросов</div>
			</div>
		</div>
		<div id="bgModal2" style="display: none;">
		<div class="bgmodal" aria-hidden="true">
		    <div class="bgmodal_dialog" aria-hidden="true">
				<div class="bgmodal-content">
		      		<div class="bgmodal-header">
		        		<h3 class="bgmodal-title" id="bgModal2-message-title"></h3>
		        		<a href="#" title="Закрыть окно" class="bgmodal-close" onclick="document.getElementById( 'bgModal2' ).style.display = 'none'; return false;">×</a>
		        		<%--
		        		<c:choose>
		        			<c:when test="${message.onClose eq 'close'}"><a href="#" title="Закрыть окно" class="bgmodal-close" onclick="jQuery('#bgModal').parent().html(''); return false;">×</a></c:when>
		        			<c:when test="${message.onClose eq 'redirect'}">
				        		<c:if test="${not empty message.tabClick}"><c:set var="tabClick">jQuery('#${message.tabClick}').trigger('click'); </c:set></c:if>
				        		<c:set var="onclick">
				        		<c:choose>
				        			<c:when test="${not empty message.queryParamList}">${tabClick}; showBlock( '${message.targetId}', '${message.operation}', { ...${message.query}<c:forEach var="item" items="${message.queryParamList}">, ${item.key}: '${item.value}'</c:forEach> } );</c:when>
				        			<c:otherwise>${tabClick}showBlock( '${message.targetId}', '${message.operation}', ${message.query} );</c:otherwise>
				        		</c:choose>
				        		</c:set>
				        		<a href="#" title="Закрыть окно" class="bgmodal-close" onclick="${onclick} return false;">×</a>
				        	</c:when>
		        			<c:when test="${message.onClose eq 'link'}">
				        		<a href="#" title="Закрыть окно" class="bgmodal-close" onclick="window.open('${message.query}'); return false;">×</a>
							</c:when>
		        			<c:when test="${message.onClose eq 'reload'}">
				        		<a href="#" title="Закрыть окно" class="bgmodal-close" onclick="window.location.reload(true); return false;">×</a>
							</c:when>
									        	
		        			<c:otherwise>
		       				</c:otherwise>
			       		</c:choose>
			       		--%>
		      		</div>
		      		<div class="bgmodal-body" id="bgModal2-message-text"></div>
		    	</div>    
		    </div>
		</div>
		</div>		
	<script src="js/bootstrap.bundle.min.js"></script>
    </body>
</html>
